> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getmint.money/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getmint.money/_mcp/server.

# Post V 1 Payments

POST https://api.getmint.money/v1/payments/
Content-Type: application/json

Create a new on-chain payment

Reference: https://docs.getmint.money/api-reference/payments/post-v-1-payments

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Body (application/json)

This endpoint expects an object.

- `currency` (string, required)
- `checkout_id` (string, required)
- `amount` (double, required)
- `order_id` (string, optional, nullable)
- `return_url` (string, optional, nullable)
- `customer_id` (string, optional, nullable)
- `metadata` (map from string to V1PaymentsPostRequestBodyContentApplicationJsonSchemaMetadata, optional)
- `line_items` (list of V1PaymentsPostRequestBodyContentApplicationJsonSchemaLineItemsItems, optional)
- `recipientEmail` (string, optional, nullable)

## Response

### 201

Default Response

- `data` (V1PaymentsPostResponsesContentApplicationJsonSchemaData, required)
- `meta` (V1PaymentsPostResponsesContentApplicationJsonSchemaMeta, required, nullable)
- `error` (string, required, nullable)
- `status` (double, optional, default: 200)

## Types

### V1PaymentsPostRequestBodyContentApplicationJsonSchemaMetadata

- string
- double

### V1PaymentsPostRequestBodyContentApplicationJsonSchemaLineItemsItems

- `name` (string, required)
- `quantity` (double, required)
- `image_url` (string, required)
- `price` (double, required)

### V1PaymentsPostResponsesContentApplicationJsonSchemaData

- `id` (string, required)
- `currency` (string, required)
- `settlement_currency` (string, required)
- `created_at` (datetime, required)
- `updated_at` (datetime, required)
- `expires_at` (datetime, required)
- `checkout_id` (string, required)
- `checkout` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataCheckout, required)
- `organization_id` (string, required)
- `status` (enum, required)
  - Allowed values: `pending`, `confirming_payment`, `deferred`, `refund_pending`, `refundable`, `paid`, `failed`
- `status_message` (string, required, nullable)
- `refundable_at` (datetime, required, nullable)
- `refund_claim_url` (string, required, nullable)
- `is_test` (boolean, required)
- `amount` (double, required)
- `settlement_amount` (double, required)
- `settlement_rate_source` (string, required)
- `payment_attempt` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttempt, optional)
- `refund_summary` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataRefundSummary, optional)
- `payment_address` (string, optional)
- `payment_url` (string, optional)
- `payment_link_email_delivery` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentLinkEmailDelivery, optional)
- `order_id` (string, optional, nullable)
- `return_url` (string, optional, nullable)
- `customer_id` (string, optional, nullable)
- `metadata` (map from string to V1PaymentsPostResponsesContentApplicationJsonSchemaDataMetadata, optional)
- `line_items` (list of V1PaymentsPostResponsesContentApplicationJsonSchemaDataLineItemsItems, optional)
- `settlement_fx_rate` (double, optional)
- `settlement_rate_updated_at` (datetime, optional)
- `settlement` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataSettlement, optional)

### V1PaymentsPostResponsesContentApplicationJsonSchemaMeta

- `total` (double, required)
- `offset` (double, required)
- `limit` (double, required)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataCheckout

- `id` (string, required)
- `name` (string, required)
- `logo_url` (string, optional)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttempt

- `attempt_id` (string, required)
- `payment_id` (string, required)
- `amount` (string, required)
- `amount_formatted` (double, required)
- `min_amount` (string, required)
- `expires_at` (datetime, required)
- `settlement_token_address` (string, required)
- `settlement_config` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptSettlementConfig, required)
- `destination_address` (string, required)
- `refund_to` (string, required, nullable)
- `refund_url` (string, required, nullable)
- `splitter_factory_address` (string, required, nullable)
- `payment_config_hash` (string, required, nullable)
- `refund_claimed_at` (datetime, required, nullable)
- `refund_transaction_hash` (string, required, nullable)
- `payment_provider` (string, required, nullable)
- `payment_address` (string, required, nullable)
- `provider_request_id` (string, required, nullable)
- `provider_status` (string, required, nullable)
- `source_amount` (string, required, nullable)
- `provider_expires_at` (datetime, required, nullable)
- `payment_instructions` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptPaymentInstructions, required, nullable)
- `created_at` (datetime, required)
- `updated_at` (datetime, required)
- `required_confirmations` (double, required)
- `routing` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRouting, required)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataRefundSummary

- `attempt_status` (enum, required)
  - Allowed values: `pending`, `confirming_payment`, `paid`, `failed`, `failed_expired`, `refund_available`, `refund_claimed`, `surplus_available`
- `current_refundable_balance` (string, required)
- `refund_claimed_at` (datetime, required, nullable)
- `refund_transaction_hash` (string, required, nullable)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentLinkEmailDelivery

- `recipientEmail` (string, required)
- `status` (enum, required)
  - Allowed values: `pending`, `sent`, `failed`, `skipped`
- `error` (string, optional)
- `sentAt` (datetime, optional)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataMetadata

- string
- double

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataLineItemsItems

- `name` (string, required)
- `quantity` (double, required)
- `image_url` (string, required)
- `price` (double, required)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataSettlement

- `id` (string, required)
- `payment_id` (string, required)
- `checkout_id` (string, required)
- `organization_id` (string, required)
- `chain` (string, required)
- `token` (string, required)
- `token_symbol` (string, required, nullable)
- `token_decimals` (integer, required, nullable)
- `token_standard` (string, required, nullable)
- `splitter_address` (string, required)
- `settlement_tx_hash` (string, required)
- `payment_config_hash` (string, required)
- `gross_amount_base_units` (string, required)
- `merchant_net_amount_base_units` (string, required)
- `mint_fee_amount_base_units` (string, required)
- `referrer_fee_amount_base_units` (string, required)
- `swept_dust_amount_base_units` (string, required)
- `residual_amount_base_units` (string, required)
- `relayer_execution_units` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataSettlementRelayerExecutionUnits, required)
- `relayer_unit_price_base_units` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataSettlementRelayerUnitPriceBaseUnits, required)
- `relayer_native_cost_base_units` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataSettlementRelayerNativeCostBaseUnits, required)
- `relayer_native_token_symbol` (string, required, nullable)
- `relayer_native_token_decimals` (integer, required, nullable)
- `relayer_cost_metadata` (map from string to any, required, nullable)
- `merchant_payout_address` (string, required)
- `mint_treasury_address` (string, required)
- `referrer_address` (string, required, nullable)
- `settled_at` (datetime, required)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptSettlementConfig

- `chain` (string, required)
- `asset` (string, required)
- `asset_name` (string, required)
- `chain_name` (string, required)
- `asset_id` (string, required)
- `chain_hex` (string, optional)
- `chain_family` (string, optional)
- `token_standard` (string, optional)
- `logo_url` (string, optional)
- `chain_logo_url` (string, optional)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptPaymentInstructions

- V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptPaymentInstructions0
- V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptPaymentInstructions1

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRouting

- V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRouting0
- V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRouting1
- V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRouting2

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataSettlementRelayerExecutionUnits

- string
- enum
  - Allowed values: `null`

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataSettlementRelayerUnitPriceBaseUnits

- string
- enum
  - Allowed values: `null`

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataSettlementRelayerNativeCostBaseUnits

- string
- enum
  - Allowed values: `null`

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptPaymentInstructions0

- `type` (enum, required)
  - Allowed values: `relay_deposit_address`
- `provider` (enum, required)
  - Allowed values: `relay`
- `request_id` (string, required)
- `payment_address` (string, required)
- `source_chain` (string, required)
- `source_token` (string, required)
- `source_amount` (string, required)
- `source_amount_formatted` (string, required)
- `expires_at` (datetime, required, nullable)
- `refund_to` (string, required, nullable)
- `provider_status` (string, required, nullable)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptPaymentInstructions1

- `type` (enum, required)
  - Allowed values: `token_transfer`
- `payment_address` (string, required)
- `chain` (string, required)
- `chain_name` (string, required)
- `token` (string, required)
- `token_symbol` (string, required)
- `token_standard` (string, required)
- `amount` (string, required)
- `amount_formatted` (string, required)
- `qr_payload` (string, required)
- `expires_at` (datetime, required, nullable)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRouting0

- `type` (enum, required)
  - Allowed values: `direct`
- `source` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRoutingOneOf0Source, required)
- `provider` (enum, optional)
  - Allowed values: `relay`

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRouting1

- `type` (enum, required)
  - Allowed values: `swap`
- `source` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRoutingOneOf1Source, required)
- `provider` (enum, optional)
  - Allowed values: `relay`
- `lifi` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRoutingOneOf1Lifi, optional)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRouting2

- `type` (enum, required)
  - Allowed values: `bridge`
- `source` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRoutingOneOf2Source, required)
- `provider` (enum, optional)
  - Allowed values: `relay`
- `lifi` (V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRoutingOneOf2Lifi, optional)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRoutingOneOf0Source

- `token` (string, required)
- `chain` (string, required)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRoutingOneOf1Source

- `token` (string, required)
- `chain` (string, required)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRoutingOneOf1Lifi

- `quote_id` (string, required)
- `route_id` (string, optional, nullable)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRoutingOneOf2Source

- `token` (string, required)
- `chain` (string, required)

### V1PaymentsPostResponsesContentApplicationJsonSchemaDataPaymentAttemptRoutingOneOf2Lifi

- `quote_id` (string, required)
- `route_id` (string, optional, nullable)

## Examples

**Request**

```json
{
  "currency": "string",
  "checkout_id": "string",
  "amount": 1.1
}
```

**Response**

```json
{
  "data": {
    "id": "string",
    "currency": "string",
    "settlement_currency": "string",
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z",
    "expires_at": "2024-01-15T09:30:00Z",
    "checkout_id": "string",
    "checkout": {
      "id": "string",
      "name": "string",
      "logo_url": "string"
    },
    "organization_id": "string",
    "status": "pending",
    "status_message": "string",
    "refundable_at": "2024-01-15T09:30:00Z",
    "refund_claim_url": "string",
    "is_test": true,
    "amount": 1.1,
    "settlement_amount": 1.1,
    "settlement_rate_source": "string",
    "payment_attempt": {
      "attempt_id": "string",
      "payment_id": "string",
      "amount": "string",
      "amount_formatted": 1.1,
      "min_amount": "string",
      "expires_at": "2024-01-15T09:30:00Z",
      "settlement_token_address": "string",
      "settlement_config": {
        "chain": "string",
        "asset": "string",
        "asset_name": "string",
        "chain_name": "string",
        "asset_id": "string",
        "chain_hex": "string",
        "chain_family": "string",
        "token_standard": "string",
        "logo_url": "string",
        "chain_logo_url": "string"
      },
      "destination_address": "string",
      "refund_to": "string",
      "refund_url": "string",
      "splitter_factory_address": "string",
      "payment_config_hash": "string",
      "refund_claimed_at": "2024-01-15T09:30:00Z",
      "refund_transaction_hash": "string",
      "payment_provider": "string",
      "payment_address": "string",
      "provider_request_id": "string",
      "provider_status": "string",
      "source_amount": "string",
      "provider_expires_at": "2024-01-15T09:30:00Z",
      "payment_instructions": {
        "type": "relay_deposit_address",
        "provider": "relay",
        "request_id": "string",
        "payment_address": "string",
        "source_chain": "string",
        "source_token": "string",
        "source_amount": "string",
        "source_amount_formatted": "string",
        "expires_at": "2024-01-15T09:30:00Z",
        "refund_to": "string",
        "provider_status": "string"
      },
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z",
      "required_confirmations": 1.1,
      "routing": {
        "type": "direct",
        "source": {
          "token": "string",
          "chain": "string"
        },
        "provider": "relay"
      }
    },
    "refund_summary": {
      "attempt_status": "pending",
      "current_refundable_balance": "string",
      "refund_claimed_at": "2024-01-15T09:30:00Z",
      "refund_transaction_hash": "string"
    },
    "payment_address": "string",
    "payment_url": "string",
    "payment_link_email_delivery": {
      "recipientEmail": "string",
      "status": "pending",
      "error": "string",
      "sentAt": "2024-01-15T09:30:00Z"
    },
    "order_id": "string",
    "return_url": "string",
    "customer_id": "string",
    "metadata": {},
    "line_items": [
      {
        "name": "string",
        "quantity": 1.1,
        "image_url": "string",
        "price": 1.1
      }
    ],
    "settlement_fx_rate": 1.1,
    "settlement_rate_updated_at": "2024-01-15T09:30:00Z",
    "settlement": {
      "id": "string",
      "payment_id": "string",
      "checkout_id": "string",
      "organization_id": "string",
      "chain": "string",
      "token": "string",
      "token_symbol": "string",
      "token_decimals": 1,
      "token_standard": "string",
      "splitter_address": "string",
      "settlement_tx_hash": "string",
      "payment_config_hash": "string",
      "gross_amount_base_units": "string",
      "merchant_net_amount_base_units": "string",
      "mint_fee_amount_base_units": "string",
      "referrer_fee_amount_base_units": "string",
      "swept_dust_amount_base_units": "string",
      "residual_amount_base_units": "string",
      "relayer_execution_units": "null",
      "relayer_unit_price_base_units": "null",
      "relayer_native_cost_base_units": "null",
      "relayer_native_token_symbol": "string",
      "relayer_native_token_decimals": 1,
      "relayer_cost_metadata": {},
      "merchant_payout_address": "string",
      "mint_treasury_address": "string",
      "referrer_address": "string",
      "settled_at": "2024-01-15T09:30:00Z"
    }
  },
  "meta": {
    "total": 1.1,
    "offset": 1.1,
    "limit": 1.1
  },
  "error": "string",
  "status": 200
}
```

**SDK Code**

```python
import requests

url = "https://api.getmint.money/v1/payments/"

payload = {
    "currency": "string",
    "checkout_id": "string",
    "amount": 1.1
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.getmint.money/v1/payments/';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"currency":"string","checkout_id":"string","amount":1.1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getmint.money/v1/payments/"

	payload := strings.NewReader("{\n  \"currency\": \"string\",\n  \"checkout_id\": \"string\",\n  \"amount\": 1.1\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.getmint.money/v1/payments/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"currency\": \"string\",\n  \"checkout_id\": \"string\",\n  \"amount\": 1.1\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getmint.money/v1/payments/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"currency\": \"string\",\n  \"checkout_id\": \"string\",\n  \"amount\": 1.1\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getmint.money/v1/payments/', [
  'body' => '{
  "currency": "string",
  "checkout_id": "string",
  "amount": 1.1
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.getmint.money/v1/payments/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"currency\": \"string\",\n  \"checkout_id\": \"string\",\n  \"amount\": 1.1\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "currency": "string",
  "checkout_id": "string",
  "amount": 1.1
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getmint.money/v1/payments/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```